Package com.massivecraft.factions.tag

## Enum PlayerTag

- java.lang.Object
- - java.lang.Enum<PlayerTag>
  - - com.massivecraft.factions.tag.PlayerTag

All Implemented Interfaces:
  `Tag`, `java.io.Serializable`, `java.lang.Comparable<PlayerTag>`, `java.lang.constant.Constable`

    public enum PlayerTag
    extends java.lang.Enum<PlayerTag>
    implements Tag

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`LAST_SEEN` |
`PLAYER_BALANCE` |
`PLAYER_DEATHS` |
`PLAYER_KILLS` |
`PLAYER_MAXPOWER` |
`PLAYER_NAME` |
`PLAYER_POWER` |
`TOTAL_ONLINE_VISIBLE` |

### Field Summary

### Fields inherited from interface com.massivecraft.factions.tag.Tag

`ARBITRARY_LIMIT`

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `foundInString​(java.lang.String test)` | Gets if the Tag can be found in the given String.
`java.lang.String` | `getTag()` | Gets the Tag's string representation.
`static java.lang.String` | `parse​(java.lang.String text, FPlayer player)` |
`java.lang.String` | `replace​(java.lang.String text, FPlayer player)` |
`static PlayerTag` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static PlayerTag[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LAST_SEEN

    public static final PlayerTag LAST_SEEN

#### PLAYER_BALANCE

    public static final PlayerTag PLAYER_BALANCE

#### PLAYER_POWER

    public static final PlayerTag PLAYER_POWER

#### PLAYER_MAXPOWER

    public static final PlayerTag PLAYER_MAXPOWER

#### PLAYER_KILLS

    public static final PlayerTag PLAYER_KILLS

#### PLAYER_DEATHS

    public static final PlayerTag PLAYER_DEATHS

#### PLAYER_NAME

    public static final PlayerTag PLAYER_NAME

#### TOTAL_ONLINE_VISIBLE

    public static final PlayerTag TOTAL_ONLINE_VISIBLE

### Method Detail

#### values

    public static PlayerTag[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlayerTag valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### parse

    public static java.lang.String parse​(java.lang.String text,
                                         FPlayer player)

#### getTag

    public java.lang.String getTag()

Description copied from interface: `Tag`
Gets the Tag's string representation.

Specified by:
  `getTag` in interface `Tag`
Returns:
  tag

#### foundInString

    public boolean foundInString​(java.lang.String test)

Description copied from interface: `Tag`
Gets if the Tag can be found in the given String.

Specified by:
  `foundInString` in interface `Tag`
Parameters:
  `test` - string to test
Returns:
  true if the tag is found in this string

#### replace

    public java.lang.String replace​(java.lang.String text,
                                    FPlayer player)